KDE 4.9 PyKDE API Reference

- KDE's Python API

# RoutingRunnerManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Signals
| routeRetrieved (Marble.GeoDataDocument route)
| routingFinished ()
## Methods
| __init__ (self, Marble.MarbleModel marbleModel, QObject parent=0)
| retrieveRoute (self, Marble.RouteRequest request)

## Signal Documentation

routeRetrieved | ( | Marble.GeoDataDocument | route
| ) |  |  |

A route was retrieved

Signal syntax:
  `QObject.connect(source, SIGNAL("routeRetrieved(Marble::GeoDataDocument*)"), target_slot)`

routingFinished | ( |  | ) |

Emitted whenever all runners are finished for the query

Signal syntax:
  `QObject.connect(source, SIGNAL("routingFinished()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleModel | marbleModel,
|  | QObject | parent=0
| ) |  |  |

Constructor.

Parameters:

  | pluginManager | The plugin manager that gives access to RunnerPlugins
  | parent | Optional parent object

retrieveRoute | ( | self, |
|  | Marble.RouteRequest | request
| ) |  |  |

Download routes traversing the stopover points in the given route request

See also:
  retrieveRoute is asynchronous with results returned using the

See also:
  routeRetrieved signal.

See also:
  searchRoute is blocking.

See also:
  routingFinished signal indicates all runners are finished.